Bug 508437 - Review Request: sugar-flipsticks - A keyframe animation activity for Sugar
Review Request: sugar-flipsticks - A keyframe animation activity for Sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 04:24 EDT by Fabian Affolter
Modified: 2009-07-11 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 12:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-06-27 04:24:31 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-flipsticks.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-flipsticks-2-1.fc11.src.rpm

Project URL: http://wiki.sugarlabs.org/go/Activities/Flip_Sticks

Description:
Flipsticks is a keyframe animation activity that lets you pose and program
a stick figure to walk, run, rotate, twist, tumble and dance. You can save
your animations to the journal and will soon be able to share them via the
mesh. Flipsticks can be used to explore concepts in geometry, computer
programming and animation; it helps develop spatial and analytical thinking
skills.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1438359

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint sugar-flipsticks-2-1.fc11.src.rpm 
sugar-flipsticks.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop09 noarch]$ rpmlint sugar-flipsticks-2-1.fc11.noarch.rpm 
sugar-flipsticks.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Lubomir Rintel 2009-06-27 06:22:55 EDT
* package named in accordance with license guidelines
* builds fine in mock
* source file ok
* file lists sane
* provides make sense
* requires seem complete

Question about Group from bug #5088440 comment 1 applies here as well.

APPROVED
Comment 2 Fabian Affolter 2009-06-27 06:56:04 EDT
Thanks for reviewing this package.
Comment 3 Fabian Affolter 2009-06-27 06:57:35 EDT
New Package CVS Request
=======================
Package Name: sugar-flipsticks
Short Description: A keyframe animation activity for Sugar
Owners: fab
Branches: F-10 F-11
InitialCC:
Comment 4 Dennis Gilmore 2009-06-27 10:48:45 EDT
CVS Done
Comment 5 Fedora Update System 2009-06-27 11:19:24 EDT
sugar-flipsticks-2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-flipsticks-2-1.fc10
Comment 6 Fedora Update System 2009-06-27 11:19:29 EDT
sugar-flipsticks-2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sugar-flipsticks-2-1.fc11
Comment 7 Fedora Update System 2009-06-30 17:24:15 EDT
sugar-flipsticks-2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-flipsticks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7068
Comment 8 Fedora Update System 2009-06-30 17:36:03 EDT
sugar-flipsticks-2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-flipsticks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7148
Comment 9 Fedora Update System 2009-07-11 12:54:13 EDT
sugar-flipsticks-2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-11 13:05:05 EDT
sugar-flipsticks-2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.